News for version 1.7.4 (2019-12-08)
-----------------------------------

There are no code, LaTeX or licensing changes in this release; the changes are limited to metadata and support files.

* Add a citation to the documentation file [`sbmlpkgspec-doc`](sbmlpkgspec-doc.pdf) to provide an example of a reference
* Add [code of conduct](CODE_OF_CONDUCT.md), contributors' [guidelines](CONTRIBUTING.md), and [support info](SUPPORT.md) files
* Rename file `AUTHORS.txt` to the more conventional name [`CREDITS`](CREDITS)
* Add a [`codemeta.json`](codemeta.json) file
* Update the [`README.md`](README.md) file contents
* Provide a new DOI for the new release

News for version 1.7.3 (2017-09-05)
----------------------------------

Another fix for issue [#1](https://github.com/sbmlteam/sbmlpkgspec/issues/1), which was apparently not completely fixed the last time.

News for version 1.7.2 (2017-09-01)
----------------------------------

Fix problems of labeling appendix sections and headers/footers in appendices.  This fixes GitHub issues [#1](https://github.com/sbmlteam/sbmlpkgspec/issues/1) and [#2](https://github.com/sbmlteam/sbmlpkgspec/issues/2).


News for version 1.7.1 (2017-08-16)
-----------------------------------

This release fixes a bug in commands for referencing sections, caused by a poor implementation of `\apdx`. This fixes the problem that references to sections would sometimes end up as `Section Appendix 3.3.12`.  (Thanks to Lucian Smith for reporting this issue.)


News for version 1.7.0 (2017-05-05)
-----------------------------------

This release only marks the move of SBMLPkgClass to a separate [GitHub repository](https://github.com/sbmlteam/sbmlpkgspec), away from its original location as a subdirectory in the general SBML project area on SourceForge.  There are no code or LaTeX differences.  Apart from some file cleanup and the addition of a [README.md](README.md) file, the only other difference is that the file [LICENSE.txt](LICENSE.txt) has been updated. (The changes to [LICENSE.txt](LICENSE.txt) do not alter licensing or distribution terms.)

News for version 1.6.0 (2014-08-10)
-----------------------------------

* Added new commands `\sectionChanged{...}`, `\subsectionChanged{...}`, etc., to color section numbers red for sections that have been moved due to the insertion of a new section in a document.

* Added a new predefined color name, `sbmlnormaltextcolor`, for the color of the document body text.  Also made the body text color slightly lighter to make literal text bits stand out more.

News for version 1.5.0 (2013-11-05)
-----------------------------------

* SBMLPkgClass now preloads the LaTeX [rotating](https://www.ctan.org/pkg/rotating?lang=en) package.  This was done because there is some obscure interaction with something else loaded by `sbmlpkgclass.cls`, the result of which is that rotated figures appear shifted in position on the page instead of being centered.  To avoid this behavior, one has to set an obscure parameter in the `rotating` package.  Asking users of SBMLPkgClass to know about this is probably unreasonable, so to make it easier on users, we preload the "rotating" package and set the parameter in `sbmlpkgclass.cls`.  Thanks to Maciej Swat for reporting the problem.

News for version 1.4.0 (2013-07-24)
-----------------------------------

* Added a new command, `\apdx{...}`, for referring to appendices, so that they come out as **Appendix X** instead of **Section A**.

* The settings for [hyperref](https://www.ctan.org/pkg/hyperref?lang=en) caused the PDF to always open on the front page, so when people quit their PDF viewer and restarted it, the viewer wouldn't go back to the page where they left.  Fixed.

* Fixed a bug that caused an extra space to be added in front of the starred versions of the section reference commands like `\sec*{...}`.

News for version 1.3.3 (2013-07-24)
-----------------------------------

* Added new commands `\apdx{...}` and `\apdx*{...}` for referring to appendix sections.  These commands generate the correct **Appendix X** text instead of what you would get using `\sec{...}`, which would be **Section X**.  Thanks to Lucian Smith for pointing out this issue and suggesting the command.

* Fixed a bug that caused PDF files to always be opened on the first page, even if you reopened the file from a previous viewing of a different page.  This meant that people's viewers weren't able to return users to the same page they left off, which was annoying.  The problem was caused by a misguided attempt to use "helpful" options with the LaTeX hyperref package.

* Fixed a bug that introduced an extra space in front of the references generated by `\sec*{...}`.

News for version 1.3.2 (2012-11-30)
-----------------------------------

* Changed order in which date and package version are shown on the front page.  The new way seems more logical (IMHO).

* Fixed bug in `\exampleFile` that caused it to print redundant line numbers along the left-hand side.

* Lightened the dots in the dotted lines in the table of contents.

News for version 1.3.1 (2012-07-29)
-----------------------------------

* Following up on a suggestion from Brett Olivier, I made the `\frontNotice` box resize itself to the contents, and also automatically center the lines of the content.

* Added [varwidth](https://www.ctan.org/pkg/varwidth?lang=en) to the set of LaTeX packages loaded by default.

News for version 1.3.0 (2012-07-24)
-----------------------------------

Many changes.  **WARNING**: this set of changes necessitated adjusting the page margins and text height, which means that previous users of this LaTeX package will probably experience shifts in page breaks when using the new version.  (Apologies for that, but I think the new page layout is an improvement going forward.)

* Changed the page header and footer.  The page footer now only have 2 items, to make room for long section titles, and the header now includes the subsection title.

* Tweaked the spacing around section titles and floats, to allow for somewhat more space.  The previous settings sometimes left too little white space in front or after these elements.

* Tweaked the values of several colors, including the blue used in links.

* Redefined `\texttt` and the example environments to set the font color to pure black, which they were (incorrectly) not doing before.
 
* Added new definitions of section, figure and table reference macros `\sec{...}`, `\fig{...}` and `\tab{...}`.  These are defined such that it is unnecessary to write the object reference ahead of them.  The result is that instead of writing `see Figure~\vref{...}`, you can write `see \fig{...}` and it will be changed to `see Figure~X on page Y`.  Similarly for section references: instead of `in Section~\vref{...}`, you can now write `in \sec{...}`.

* Tweaked the appearance and shape of list bullets.

* Changed the `\warning` macro to put the symbol in red.

* Removed the macros `\classbox` and `\emptyClassBox`, which really weren't ever used or even documented.

* Redefined the `example` environment to take an optional argument, which can consist of the arguments that the [listings](https://www.ctan.org/pkg/listings?lang=en) package macros accept.  (See the documentation for the [listings](https://www.ctan.org/pkg/listings?lang=en) package for information.)

* Redefined interal macros to use names with `@` in them, to make it less likely that the macro names will collide with something that a user might have defined in their document.

* Added new LaTeX package dependencies: [bbding](https://www.ctan.org/pkg/bbding) and [suffix](https://www.ctan.org/pkg/suffix?lang=en).

* No longer loading package [nameref](https://www.ctan.org/pkg/nameref?lang=en), because I found a better way to do the relevant macros.

* Updated the user manual to reflect the changes in this release and feedback from the previous release.


News for version 1.2.0 (2012-01-27) <mhucka@caltech.edu>)

* Added [amsmath](https://www.ctan.org/pkg/amsmath?lang=en) as a package loaded by default.

* Fixed vertical heights of `\big` delimiters in math mode.

* Rewrote `\validRule` and friends to not require an `\sbmlenum` environment.

* Updated copyright year.


News for version 1.1.0 (2011-10-20)
-----------------------------------

* Renamed `\notice` to `\frontNotice`.
* Added a box around the text put by `\frontNotice` on the front page.
* Added new command `\notice` for placing a pointing hand in the margin.
* Added new command `\warning` for placing a warning sign in the margin.
* Added new command `\draftnote` for placing a text note in the margin.
* Added new command `\uri`.
* Added new command `\tokenNC`, a version of `\token` that doesn't set the color.
* Added new color name `verylightyellow`
* Tweaked color of `lightyellow`.
* Tweaked color of `\normaltext`.


News for version 1.0.1
----------------------

First public release on 5 October 2011.

